Subject: Re: [PATCH 2/2] completion: split __git_ps1 into a separate script

From: SZEDER Gábor <[email-masked]>
Date: Thu, 24 May 2012 22:35:49 +0200

Hi,

On Wed, May 23, 2012 at 05:55:13PM -0400, Ted Pavlic wrote:
> > There's no way git-prompt.sh can be sourced without modifications to
> > the script, unless you expect it would always be named
> > '.git-prompt.sh' and would be on the same directory, which many
> > distributions would frown upon.
> 
> So, again, seems like a good argument for building a git-gitdir into git
> proper. Maybe there are other utilities that could make use of it as
> well...

You mean a real git command, which does the same as __gitdir()?  I
don't like that, because it will always require 2 fork()s and an
exec() and would be slow on Windows.

Best,
Gábor